
/*
 *
 * nanotop 2.1.1
 *
 * Copyright (C) 2002 Michael Bruestle (michael.bruestle@wave-solutions.com)
 * Portions Copyright (C) 2007 Kim Jay Rogozinsky (Kim.Rogozinsky@gmail.com)
 *
 * This (2.x.x) is a quite complete re-write based upon the "nanotop" 
 * applet, ala Michael Bruestle.  The newest nanotop at the time 
 * (Jan 2007), 1.4.5d, was used as the baseline.
 *
 * We keep the original notice, as follows:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation.
 *
 */


/*
 * 00000000011111111112222222222333333333344444444445555555555666666666677777777778
 * 12345678901234567890123456789012345678901234567890123456789012345678901234567890
 * CPU [==++--    ][==++--    ]  1234.5KB FREE  1234.5KB RX  1234.5KB TX  12345 ER
 */


#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <string.h>
#include <ctype.h>
#include <stdarg.h>
#include <stdlib.h>
#include <termios.h>
#include <sys/ioctl.h>
#include <sys/select.h>
#include <getopt.h>
#include <math.h>

#define VERSION "2.1.1"

#ifndef max
	#define max(a, b) (((a) > (b)) ? (a) : (b))
#endif
#ifndef min
	#define min(a, b) (((a) < (b)) ? (a) : (b))
#endif

char *formatk (char *pasBuffer, int pasValid, char pasScale, int pasKilo, long long pasBytes);
char *graph (char *pasBuffer, int pasValid, long long pasTime, long long pasSys, long long pasNic, long long pasUsr);
int extract (char *pasFileName, char *pasKey, long long *pasArray, ...);
char *firstwhite (char *pasPointer);
char *firstnonwhite (char *pasPointer);
void print_help_stop (void);
void print_help (void);
